package punch;
import java.util.*;


public class Util {

	static public Vector reverseVector(Vector vector) {
		Vector new_vector = new Vector();
		int size = vector.size();
		for(int i=0; i<size; i++)
			new_vector.addElement(vector.elementAt(size-i-1));
		return new_vector;
    }
	static public Vector duplicateVector(Vector vector) {
		return (Vector) vector.clone();
		/*
		Vector new_vector = new Vector();
		int size = vector.size();
		for(int i=0; i<size; i++)
			new_vector.addElement(vector.elementAt(i));
		return new_vector;
		*/
    }
	static public Vector connectVector(Vector vector0, Vector vector1) {
		Vector new_vector = duplicateVector(vector0);
		int size = vector1.size();
		for(int i=0; i<size; i++)
			new_vector.addElement(vector1.elementAt(i));
		return new_vector;
    }
	static public Vector appendVector(Vector vector0, Vector vector1) {
		int size = vector1.size();
		for(int i=0; i<size; i++)
			vector0.addElement(vector1.elementAt(i));
		return vector0;
    }
    static public boolean isSubsetVector(Vector a, Vector b){
		for(int i=0; i<a.size(); i++)
			if (!b.contains(a.elementAt(i)))
				return false;
		return true;
    }
    
    
	static public int mod(int n, int m){
		while(n<0 || n>=m){
			if (n>=m)	n -= m;
			if (n<0)	n += m;
		}
		return n;
	}
	
	static public boolean equivalentVector(Vector v0, Vector v1){
		if (v0.size() != v1.size())
			return false;
		for(int i=0; i<v0.size(); i++){
			Object a = v0.elementAt(i);
			if (!v1.contains(a))
				return false;
		}
		return true;
	}
	static public void printVector(Vector vector) {
		int size = vector.size();
		for(int i=0; i<size; i++)
			System.out.print(","+vector.elementAt(i));
		System.out.println("");
    }
    
    
    

}
