package swim;

import java.io.*;



public class FollowThread extends Thread
{
	private SwimPanel target;
	
	public static FollowThread followThread;
	public static boolean dancing;
	public static void startFollow(SwimPanel target){
		followThread = new FollowThread(target);
		followThread.start();
		dancing = true;
	}
	public static void stopFollow(){
		if (followThread != null)
			followThread.stop();
		dancing = false;
	}
	
	public FollowThread(SwimPanel target)
	{
		this.target = target;
	}
    public void run() 
	{
		while( true )
		{
			target.follow();
			try
			{
				sleep( 10 );
			}
			catch( InterruptedException e )
			{
			}
		}			
    }
	
	
	
	
	
}
