import java.awt.*;
import java.util.*;
import java.awt.event.*;

public class MyMenuBar extends MenuBar implements ActionListener
{
	TitlePanel target;
	MyMenuBar myMenuBar;
	MyMenuBar(TitlePanel target){
		super();
		this.target = target;
		myMenuBar = this;
	
		Menu fileMenu = new java.awt.Menu("Game");
		add(fileMenu);		
		
		fileMenu.add(new MyMenuItem("Title"));
		fileMenu.add(new MyMenuItem("Jump"));
		fileMenu.add(new MyMenuItem("Swim"));
		fileMenu.add(new MyMenuItem("Punch"));
		fileMenu.add(new MyMenuItem("Quit"));

	
		Menu helpMenu = new java.awt.Menu("Help");
		add(helpMenu);		
		
		helpMenu.add(new MyMenuItem("Manual"));
		helpMenu.add(new MyMenuItem("About"));
	}
	
	
	
	MenuItem openMenuItem = new MenuItem();
	MenuItem exitMenuItem = new MenuItem();
										
	class MyMenuItem extends MenuItem {
		MyMenuItem(String label){
			super();
			setLabel(label);
			addActionListener(myMenuBar);
		}
	}
	public void actionPerformed(java.awt.event.ActionEvent event)
	{
		if (event.getSource() instanceof MyMenuItem){
			String label = ((MyMenuItem)event.getSource()).getLabel();
			if (label.equals("Title"))
				target.home();
			else if (label.equals("Jump"))
				target.start_jump();
			else if (label.equals("Swim"))
				target.start_swim();
			else if (label.equals("Punch"))
				target.start_punch();
			else if (label.equals("Quit"))
				System.exit(0);
			else if (label.equals("Manual"))
				target.manual();
			else if (label.equals("About"))
				target.about();
			
		}
				
	}	

	
}
