package punch;
import java.awt.*;
import java.lang.Math.*;
import java.util.*;
import java.io.*;

public class Monster 
{
	
	Monster(Vector strokes){
		this.strokes = strokes;
	}
	
	
	
	
	
	
	
	
	
	
	public boolean paint_mode = false;
	Vector stroke = new Vector();
	public void initStroke(Point p){
		stroke = new Vector();
		stroke.addElement(p);
		
		strokes.addElement(stroke);
	}
	public void extendStroke(Point p){
		stroke.addElement(p);
	}
	
	
	
	
	
	
	
	public Point center = new Point(200, 200);
	public int size = 200;
	public void setParameters(){
		Vector _strokes = new Vector();
		for(int i=0; i<strokes.size(); i++){
			Vector stroke = (Vector) strokes.elementAt(i);
			Vector _stroke = new Vector();
			for(int j=0; j<stroke.size(); j+=2){
				_stroke.addElement((Point) stroke.elementAt(j));
			}
			_strokes.addElement(_stroke);
		}
		strokes = _strokes;
		
		
		
		
		
		
		
		int min_x = -1;
		int min_y = -1;
		int max_x = -1;
		int max_y = -1;
		
		for(int i=0; i<strokes.size(); i++){
			Vector stroke = (Vector) strokes.elementAt(i);
			for(int j=0; j<stroke.size(); j++){
				Point p = (Point) stroke.elementAt(j);
				if (min_x == -1 || p.x < min_x) min_x = p.x;
				if (min_y == -1 || p.y < min_y) min_y = p.y;
				if (max_x == -1 || p.x > max_x) max_x = p.x;
				if (max_y == -1 || p.y > max_y) max_y = p.y;
				
			}
		}
			
		center.x = (min_x + max_x) / 2;
		center.y = (min_y + max_y) / 2;
		size = Math.max(max_x-min_x, max_y-min_y);
		

	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	//silhouette;
	Vector strokes = new Vector() ;
	
	Point screen_center;
	int screen_size;
	int angle;
	double cos;
	double sin;
	Color color = Color.white;
	public void paint(Graphics g, Point screen_center, int screen_size, int angle){
		this.screen_center = screen_center;
		this.screen_size = screen_size;
		this.angle = angle;
		this.cos = Math.cos(Math.PI*angle/180);
		this.sin = Math.sin(Math.PI*angle/180);
		
		if (strokes.size() == 0)
			return;
		
		g.setColor(color);
		fillStroke(g, (Vector) strokes.elementAt(0));

			
		g.setColor(Color.black);
		for(int i=0; i<strokes.size(); i++){
			Vector stroke = (Vector) strokes.elementAt(i);
			drawStroke(g, stroke);
		}
	}
	
	public void drawStroke(Graphics g, Vector stroke){
		
		for(int i=0; i<stroke.size()-1; i++){
			Point p = convert((Point) stroke.elementAt(i));
			Point q = convert((Point) stroke.elementAt(i+1));
			//g.drawLine(p.x, p.y, q.x, q.y);
			Graphics2.drawWideLine(g, p, q, 5);
		}
				
		
	}
	public void fillStroke(Graphics g, Vector stroke){
		
		int nPoints = stroke.size();
		int[] xPoints = new int[nPoints];
		int[] yPoints = new int[nPoints];
		for(int i=0; i<nPoints; i++){
			Point p = convert((Point) stroke.elementAt(i));
			xPoints[i] = p.x;
			yPoints[i] = p.y;
		}
		g.fillPolygon(xPoints, yPoints, nPoints);
	
	}
	public Point convert(Point p){
		if (paint_mode)
			return p;
		if (angle == 0)
		return new Point(screen_center.x + (p.x -center.x)  * screen_size / size,
						 screen_center.y + (p.y -center.y) * screen_size / size);
		
		double x = cos * (p.x -center.x) - sin * (p.y -center.y);
		double y = sin * (p.x -center.x) + cos * (p.y -center.y);
		return new Point(screen_center.x +  (int)(x * screen_size / size),
						 screen_center.y +  (int)(y * screen_size / size));
		
	}
	
}
