package punch;
import java.awt.event.*;
import java.awt.*;
import java.applet.*;
import java.lang.Math.*;
import java.util.*;


class VoiceControl extends Panel {

   final int RESOLUTION = 88;//512;
   final int LENGTH = 100;
   

   PunchPanel drawPanel;
	VoiceControl(PunchPanel drawPanel){
		this.drawPanel = drawPanel;
		
		
		//go();
	}





   
   
   
   
   public int duration;
   
   public double[] spectrum = new double[RESOLUTION];
   public int[] buffer = new int[LENGTH];

   public double[] average_spectrum = new double[RESOLUTION];
   public int average_num = 0; 
   
   public double[] history = new double[1000];
   public int[] result_history = new int[1000];
   public int history_count = 0;
   public int prev_history_count = 0;   
   public int silence_count = 0;
   
   /*
   public void go(){
   			
		//voice.Voice.start();
		FollowThread.startFollow(this);
		

   }
   */
   public void open(){
		voice.Voice.start();   
   }
   public void close(){
		voice.Voice.close();   
   }


   
   
   
   
   
   int step;

   public void follow(){
   		
   		int n=0;
		//n = Voice.poll(spectrum, RESOLUTION);
		n = voice.Voice.update();
		if (n==0)
			return;
		
		for(int i=0; i<4; i++){
			voice.Voice.get_spectrum(spectrum, RESOLUTION, 1024-256-i*256);
			follow_sub();
		}
	}
   
	public void follow_sub(){

		check_speaking();


		if (speaking){
			// recognize();

			// start speaking
			if (history_count == -1){
				history_count = 0;
				drawPanel.start_punch();
			}
			
			// record history
			if (history_count >=0){
				history[history_count] = total_spectrum;
				history_count++;
			}
			
			if (history_count >= 30){
				drawPanel.long_punch();
				muting = true;	
			}

			
			//if (!muting)
   			//if ((history_count == 2 && history[0] > history[1]) ||
			//	(history_count >=3 && history[history_count-2] > history[history_count-3] &&	
			//	 history[history_count-2] > history[history_count-1])){
			//		drawPanel.short_punch();
			//}
			
			
		}
		else {
			
			// finish speaking
			if (history_count >=0){
				if (history_count < 15)
					drawPanel.short_punch();

				prev_history_count = history_count;	//for paint
				history_count = -1;
				
				silence_count = 0;
				muting = false;	
				//drawPanel.silence();
			}
			else {
				silence_count++;
			}
		}
			
		
		repaint();
   }
	boolean muting = false;

   
	public void _follow_sub(){

		check_speaking();


		if (speaking){
			// recognize();

			// start speaking
			if (history_count == -1){
				history_count = 0;
				drawPanel.start_punch();
			}
			
			// record history
			if (history_count >=0){
				history[history_count] = total_spectrum;
				history_count++;
			}
			
			if (history_count == 40)
				drawPanel.long_punch();
			
		}
		else {
			
			// finish speaking
			if (history_count >=0){
				//System.out.println(""+history_count);
				if (history_count < 15)
					drawPanel.short_punch();
				//else
				//	drawPanel.long_punch();

				prev_history_count = history_count;	//for paint
				history_count = -1;
				
				silence_count = 0;
			}
			else {
				silence_count++;
				//if (silence_count == 50)
					//drawPanel.hideArrow();
				
			}
		}
			
		
		repaint();
   }
	boolean speaking;
	double total_spectrum;
	public void check_speaking(){
		double total = 0;
		for(int i=3; i<RESOLUTION/2; i++){
			total += spectrum[i];
		}
		total_spectrum = total;
		speaking = (total > 100);
		
		
			
	}
	
	
	
	
	
	
	
	
	
	
	
	
	


   
   
   
   
}







