package swim;

import java.awt.event.*;
import java.awt.*;
import java.applet.*;
import java.lang.Math.*;
import java.util.*;
import java.awt.image.*;

public class Images
{
	Image[] fish = new Image[2];
	Image[] enemy = new Image[2];
	Image[] squid = new Image[2];
	
	int n_images =6;
	Image[] images = new Image[n_images];
	
	SwimPanel panel;
	
	Images(SwimPanel panel){
		this.panel = panel;
		
		images[0] = fish[0] = Toolkit.getDefaultToolkit().getImage("images\\fish0.gif");
		images[1] = fish[1] = Toolkit.getDefaultToolkit().getImage("images\\fish1.gif");
		images[2] = enemy[0] = Toolkit.getDefaultToolkit().getImage("images\\shark0.gif");
		images[3] = enemy[1] = Toolkit.getDefaultToolkit().getImage("images\\shark1.gif");
		images[4] = squid[0] = Toolkit.getDefaultToolkit().getImage("images\\squid0.gif");
		images[5] = squid[1] = Toolkit.getDefaultToolkit().getImage("images\\squid1.gif");
		
		
	    loading = true;	
	}
	
	boolean loading = false;
    public void loadImage(Graphics g){
		MyImageObserver imageObserver = new MyImageObserver();
		for(int i=0; i<n_images; i++)
			g.drawImage(images[i], 0, 0, imageObserver);
	    loading = false;
	}
	int loadedImageCount = 0;
	class MyImageObserver implements ImageObserver {
		public boolean imageUpdate(Image img,  int infoflags,
                                     int x, int y, int width, int height){
			if ((infoflags & ImageObserver.ALLBITS)!=0){
				loadedImageCount++;
				if (loadedImageCount == n_images)
					panel.imageLoaded();
				panel.repaint();
				return false;
			}else
				return true;
		}
	}
	
}
